<html>
<head>
<title>Wacs-PHP NewSets Display program</title>
<!---
 newsets.php - sample program using Wacs-PHP

 (C) Copyright 2007,2008 B King
 This file is part of WACS.  (see http://wacsip.sourceforge.net)

 WACS is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 3 of the License, or
 (at your option) any later version.

 WACS is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with WACS.  If not, see <http://www.gnu.org/licenses/>.
 --->
</head>
<body>
<?php
require_once "wacs.php";
require_once "wacsui.php";
require_once "DB.php";
$wacs = new Wacs;
$wacs->read_conf();
$wacs->check_auth( $_SERVER['REMOTE_ADDR'], 1 );
$wacsui = new WacsUI;
$dbienv = $wacs->conf_get_attr("database","dbienvvar");
if( ! empty( $dbienv ))
{
        putenv($dbienv."=".$wacs->conf_get_attr("database","dbienvvalue"));
} 
$dbhandle=DB::connect($wacs->conf_get_attr("database","phpdbconnect"));
if( DB::iserror($dbhandle))
{
        print "Can't connect to database\n";
}
$threedays=$wacs->gettoday( array( "offset"=>"3"));
$today=$wacs->gettoday();
$results = $dbhandle->getAll("select setno, stitle, sarea, scategory, ".
			"sdirectory, stype, sname, scatinfo ".
			"from ".$wacs->conf_get_attr("tables","sets").
                        " where sadded between '".$threedays."' and '".
			$today."' order by sadded desc ");
$entryno=0; 
$column=0;
?>
<center>
<table border=1>
 <tr><th colspan=4>
<?php print "Sets Added Recently <font size=-2>".$threedays." to ".
	$today."</font>";
?>
 </th></tr><tr>
<?php while( isset( $results[$entryno] ))
      { 
	echo "<td align=center valign=top>";
	$wacsui->iconlink( array( "type"=>$results[$entryno][5],
			        "setno"=>$results[$entryno][0],
				"sarea"=>$results[$entryno][2],
				"scategory"=>$results[$entryno][3],
				"sdirectory"=>$results[$entryno][4],
				"model"=>$results[$entryno][6],
				"resize"=>0) );
	print "<br><font size=-2>".$results[$entryno][1]."</font></a>\n";
	print "<br>".$wacsui->addkeyicons($results[$entryno][7],24);
	echo "</td>\n";
	$entryno++;
	$column++;
	if( $column > 3 )
	{
		print "</tr><tr>\n";
		$column=0;
	}
      } ?>
</ul>
</body>
</html>
