<?php
// MySimple4 - sample WACS API program (PHP5)
require_once "wacs.php";
require_once "DB.php";
$wacs = new Wacs;
// read the Wacs configuration files
$wacs->read_conf();
// check the auth(entication and authorisation) of this user
$wacs->check_auth( $_SERVER['REMOTE_ADDR'], 1 );
// start the HTML document
print "<html>\n";
print "<head>\n";
print "<title>MySimple: Index Of Favourites</title>\n";
print "</head>\n";
print "<body>\n";
// database initialisation
// - establish environment variable
$dbienv = $wacs->conf_get_attr("database","dbienvvar");
if( ! empty( $dbienv ))
{
        putenv($dbienv."=".$wacs->conf_get_attr("database","dbienvvalue"));
}
// - connect to the database
$dbhandle= DB::connect( $wacs->conf_get_attr("database","phpdbconnect") );
if( DB::iserror($dbhandle))
{
        die("Can't connect to database\nReason:".$dbhandle->getMessage()."\n");
}
$dbhandle->setFetchMode(DB_FETCHMODE_ORDERED);
// do db select
//                0      1        2          3       4
$query = "select mname, modelno, mbigimage, mimage, mhair, ".
//                5        6         7       8
         "       mlength, mtitsize, mnsets, mnvideos from ".
         $wacs->conf_get_attr("tables","models").
         " where mflag = 'S' order by mname";
$cursor = $dbhandle->query( $query );
// output the results
print "<table>\n";
while( $results = $cursor->fetchRow() )
{
         // start the HTML table row
         print "<tr><td rowspan=4 valign=top align=center>\n";
         // link around the headshot image
         print "<a href=\"".$wacs->conf_get_attr("server","cgiurl");
         print "wacsmpthumbs/".$results[1]."\">";
         // head shot image
         print "<img src=\"".$wacs->conf_get_attr("server","siteurl");
         print "icons/".$results[3]."\"[".$results[0]."]\"></a>\n";
         // end this cell and start the next
         print "</td><th>\n";
         // link around name
         print "<a href=\"".$wacs->conf_get_attr("server","cgiurl");
         print "wacsmpthumbs/".$results[1]."\">";
         // the name
         print $results[0]."</a>\n";
         // end the HTML table row
         print "</th></tr>\n";
         // do the second row (her hair)
         print "<tr><td>hair: ";
         print $results[5]." ".$results[4];
         print "</td></tr>\n";
         // do the third row (her breasts)
         print "<tr><td>breasts: ";
         print $results[6]."\n";
         print "</td></tr>\n";
         // do the fourth row (her sets)
         print "<tr><td>sets: ";
         print $results[7];
         if( $results[8] > 0 )
         {
                print " videos: ".$results[8];
         }
         print "</td></tr>\n";
}
print "</table>\n";
// finish off
print "</body>\n";
print "</html>\n";
?>
